#!/bin/bash
. ./create_db_lib.sh
. ./db.conf

###################
PG_CLI_BIN=psql
LOG_LEVEL=1
SED_CLI_BIN=sed
###################


reset_logs 
upload_sql  ./main/uninstal.sql $BASE_SCHEMA $RESTRCICTED_ACCESS_SCHEMA 
upload_sql  ./main/schema.sql
upload_sql  ./main/types.psql
upload_sql  ./main/casts.psql 
upload_sql  ./main/util.psql 
upload_sql  ./main/sequences.psql 
upload_sql  ./main/base.psql 
upload_sql  ./main/crud_tree.psql 
upload_sql  ./main/crud_node.psql 
upload_sql  ./main/trigger.psql 
upload_sql  ./main/traversal.psql 
upload_sql  ./main/traversal_level.psql 
upload_sql  ./main/traversal_group.psql 
upload_sql  ./main/io.psql 

##################
# user access
##################
upload_sql  ./main/schema_ua.sql $BASE_SCHEMA $RESTRCICTED_ACCESS_SCHEMA 
upload_sql  ./main/user_access.psql  
upload_sql  ./main/types.psql $RESTRCICTED_ACCESS_SCHEMA
upload_sql  ./main/casts.psql $RESTRCICTED_ACCESS_SCHEMA
upload_sql  ./main/util.psql  $RESTRCICTED_ACCESS_SCHEMA
upload_sql  ./main/base.psql  $RESTRCICTED_ACCESS_SCHEMA
upload_sql  ./main/traversal.psql         $RESTRCICTED_ACCESS_SCHEMA
upload_sql  ./main/traversal_level.psql   $RESTRCICTED_ACCESS_SCHEMA
upload_sql  ./main/traversal_group.psql   $RESTRCICTED_ACCESS_SCHEMA



