set search_path to public;

CREATE SCHEMA %%;
CREATE SCHEMA %%_util;


set search_path to %%_util;

CREATE TABLE %%_util.tree (
tree_name varchar primary key,
id serial unique not null,
description varchar 
);

CREATE TABLE %%_util.tree_node (
id bigserial primary key,
node_sn bigint,
node_name varchar,
tree_id integer not null references %%_util.tree(id) on delete cascade,
node_data_id bigint,
weight double precision DEFAULT 0.0,
internal_weight bigserial not null,
level integer,
parent_id bigint references %%_util.tree_node(id) ON DELETE CASCADE,
parent_sn bigint
);


CREATE UNIQUE INDEX tree_node_name_idx ON %%_util.tree_node ( tree_id,node_name);
CREATE UNIQUE INDEX tree_node_sn_idx ON %%_util.tree_node ( tree_id,node_sn);


CREATE TABLE %%_util.tree_node_metadata (
id bigint primary key references %%_util.tree_node(id) ON DELETE CASCADE,
--node_name varchar unique,
node_description varchar
);

set search_path to public;

--DROP TYPE %%.traversal_node CASCADE;










set search_path to public;






