#!/bin/bash

BASE_SCHEMA=tree
RESTRCICTED_ACCESS_SCHEMA=rtree

echo > tree_install.sql
sed s/%%/$BASE_SCHEMA/g ./main/schema.sql     >>tree_install.sql
sed s/%%/$BASE_SCHEMA/g ./main/types.psql     >>tree_install.sql
sed s/%%/$BASE_SCHEMA/g ./main/casts.psql     >>tree_install.sql
sed s/%%/$BASE_SCHEMA/g ./main/util.psql      >>tree_install.sql
sed s/%%/$BASE_SCHEMA/g ./main/sequences.psql >>tree_install.sql
sed s/%%/$BASE_SCHEMA/g ./main/base.psql      >>tree_install.sql
sed s/%%/$BASE_SCHEMA/g ./main/crud_tree.psql >>tree_install.sql
sed s/%%/$BASE_SCHEMA/g ./main/crud_node.psql >>tree_install.sql
sed s/%%/$BASE_SCHEMA/g ./main/trigger.psql   >>tree_install.sql
sed s/%%/$BASE_SCHEMA/g ./main/traversal.psql >>tree_install.sql
sed s/%%/$BASE_SCHEMA/g ./main/traversal_level.psql >>tree_install.sql
sed s/%%/$BASE_SCHEMA/g ./main/traversal_group.psql >>tree_install.sql
sed s/%%/$BASE_SCHEMA/g ./main/io.psql >>tree_install.sql    
##################
# user access
##################
echo > tree_ua_install.sql
sed s/%%/$BASE_SCHEMA/g ./main/schema_ua.sql |sed s/%2%/$RESTRCICTED_ACCESS_SCHEMA/g >>tree_ua_install.sql
sed s/%%/$BASE_SCHEMA/g ./main/user_access.psql         >>tree_ua_install.sql
sed s/%%/$RESTRCICTED_ACCESS_SCHEMA/g ./main/types.psql >>tree_ua_install.sql
sed s/%%/$RESTRCICTED_ACCESS_SCHEMA/g ./main/casts.psql >>tree_ua_install.sql
sed s/%%/$RESTRCICTED_ACCESS_SCHEMA/g ./main/util.psql  >>tree_ua_install.sql
sed s/%%/$RESTRCICTED_ACCESS_SCHEMA/g ./main/base.psql  >>tree_ua_install.sql
sed s/%%/$RESTRCICTED_ACCESS_SCHEMA/g ./main/traversal.psql        >>tree_ua_install.sql
sed s/%%/$RESTRCICTED_ACCESS_SCHEMA/g ./main/traversal_level.psql  >>tree_ua_install.sql
sed s/%%/$RESTRCICTED_ACCESS_SCHEMA/g ./main/traversal_group.psql  >>tree_ua_install.sql    
