E_NOFILE=66
UPLOAD_LOG=upload.log
ERROR_LOG=error.log
###########


reset_logs () {

	echo > $UPLOAD_LOG;
	echo > $ERROR_LOG;

}




# $1  sql arxeio
upload_sql () {

	if [ -f "$1" ]   
	then
	    FILE_NAME=$1
	else
	    echo "File \"$1\" does not exist."
	    exit $E_NOFILE
	fi
	
	
	MY_SCHEMA=$BASE_SCHEMA;
	
	if [ -n "$2" ]   
	then
	    MY_SCHEMA=$2
	fi
	
	if [ -n "$3" ]   
	then
	    MY_SCHEMA_2=$3
	fi

	PG_CLI="$PG_CLI_BIN -h $PGDB_HOST -U $PGDB_USER $PGDB_DB"
	SED_CLI="$SED_CLI_BIN s/%%/$MY_SCHEMA/g"
	SED_CLI_2="$SED_CLI_BIN s/%2%/$MY_SCHEMA_2/g"
	
	TMP_FILE=`tempfile`
	TMP_ERROR=`tempfile`

	#$PG_CLI < $FILE_NAME >> $UPLOAD_LOG 2>> $TMP_FILE
	
	
	if [ -n "$3" ]
	then
		#echo "UPLOAD $1 TO $MY_SCHEMA , $MY_SCHEMA_2"
		$SED_CLI $FILE_NAME | $SED_CLI_2 | $PG_CLI  >> $UPLOAD_LOG 2>> $TMP_FILE
	else
		#echo "UPLOAD $1 TO $MY_SCHEMA"
		$SED_CLI $FILE_NAME | $PG_CLI  >> $UPLOAD_LOG 2>> $TMP_FILE
	fi;
	
	WC=0
	if [ "$LOG_LEVEL" -lt "2" ]
	then
		WC=`cat $TMP_FILE | egrep -v "NOTICE:" | tee $TMP_ERROR | wc -l`
	else
		WC=`cat $TMP_FILE | tee $TMP_ERROR | wc -l`
	fi


	echo "FILE: " $FILE_NAME >> $ERROR_LOG
	cat $TMP_FILE  >>  $ERROR_LOG
	echo "===============================================" >> $ERROR_LOG

	if [ "$WC" -gt "0" ]
	then
		echo "FILE: " $FILE_NAME
		cat $TMP_ERROR
		echo "==============================================="
	fi

	rm $TMP_ERROR
	rm $TMP_FILE
}






dump_error_log () {
	if [ "$LOG_LEVEL" -lt "2" ]
	then
		cat $ERROR_LOG |egrep -v "NOTICE:"
	else
		cat $ERROR_LOG
	fi
}
